Message: Issues compiling GEANT Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Issues compiling GEANT 

Forum: Installation and Configuration
Re: Question Compiling Geant4 with "Debug" breaks due to too many objects (Geir Meyer)
Re: Note Re: Compiling Geant4 with (Ben Morgan)
Date: 29 Jan, 2016
From: Amhis Yasmine <Amhis Yasmine>

Hello,

I am having issues installing GEANT 4.10.2 on a Unix machine. I had to update the latest version of cmake, but I am seeing the message below.

[amhis@lhcb3 GEANT4]$ cmake -DCMAKE_INSTALL_PREFIX=/users/LHCb/amhis/ExpDisk/Neutrinos/GEANT4/geant4.10.2-build /users/LHCb/amhis/ExpDisk/Neutrinos/GEANT4/geant4.10.02
-- The C compiler identification is GNU 4.4.7
-- The CXX compiler identification is GNU 4.4.7
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found EXPAT: /usr/lib64/libexpat.so (found version "2.0.1") 
CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/analysis/CMakeLists.txt:30 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/digits_hits/CMakeLists.txt:27 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/error_propagation/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/event/CMakeLists.txt:22 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  source/externals/clhep/CMakeLists.txt:229 (GEANT4_LIBRARY_TARGET)

-- Looking for sys/types.h
-- Looking for sys/types.h - found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of off64_t
-- Check size of off64_t - done
-- Looking for fseeko
-- Looking for fseeko - found
-- Looking for unistd.h
-- Looking for unistd.h - found
CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/externals/zlib/CMakeLists.txt:20 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/geometry/CMakeLists.txt:28 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/global/CMakeLists.txt:26 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/graphics_reps/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/intercoms/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/interfaces/CMakeLists.txt:21 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/materials/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/parameterisations/CMakeLists.txt:19 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/particles/CMakeLists.txt:29 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/persistency/CMakeLists.txt:35 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/physics_lists/CMakeLists.txt:22 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/processes/CMakeLists.txt:36 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/readout/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/run/CMakeLists.txt:21 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/track/CMakeLists.txt:21 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/tracking/CMakeLists.txt:21 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/visualization/FukuiRenderer/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/visualization/HepRep/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/visualization/RayTracer/CMakeLists.txt:25 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/visualization/Tree/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/visualization/VRML/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/visualization/XXX/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/visualization/gMocren/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/visualization/management/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

CMake Error at cmake/Modules/Geant4MacroLibraryTargets.cmake:111 (target_compile_features):
  The compiler feature "cxx_alias_templates" is not known to CXX compiler

  "GNU"

  version 4.4.7.
Call Stack (most recent call first):
  cmake/Modules/Geant4MacroLibraryTargets.cmake:300 (GEANT4_LIBRARY_TARGET)
  source/visualization/modeling/CMakeLists.txt:18 (GEANT4_GLOBAL_LIBRARY_TARGET)

-- Pre-configuring dataset G4NDL (4.5)
-- Pre-configuring dataset G4EMLOW (6.48)
-- Pre-configuring dataset PhotonEvaporation (3.2)
-- Pre-configuring dataset RadioactiveDecay (4.3)
-- Pre-configuring dataset G4NEUTRONXS (1.4)
-- Pre-configuring dataset G4PII (1.3)
-- Pre-configuring dataset RealSurface (1.0)
-- Pre-configuring dataset G4SAIDDATA (1.1)
-- Pre-configuring dataset G4ABLA (3.0)
-- Pre-configuring dataset G4ENSDFSTATE (1.2)
  *WARNING*
    Geant4 has been pre-configured to look for datasets
    in the directory:

    /users/LHCb/amhis/ExpDisk/Neutrinos/GEANT4/geant4.10.2-build/share/Geant4-10.2.0/data

    but the following datasets are NOT present on disk at
    that location:

    G4NDL (4.5)
    G4EMLOW (6.48)
    PhotonEvaporation (3.2)
    RadioactiveDecay (4.3)
    G4NEUTRONXS (1.4)
    G4PII (1.3)
    RealSurface (1.0)
    G4SAIDDATA (1.1)
    G4ABLA (3.0)
    G4ENSDFSTATE (1.2)

    If you want to have these datasets installed automatically
    simply re-run cmake and set the GEANT4_INSTALL_DATA
    variable to ON. This will configure the build to download
    and install these datasets for you. For example, on the
    command line, do:

    cmake -DGEANT4_INSTALL_DATA=ON <otherargs>

    The variable can also be toggled in ccmake or cmake-gui.
    If you're running on a Windows system, this is the best
    solution as CMake will unpack the datasets for you
    without any further software being required

    Alternatively, you can install these datasets manually
    now or after you have installed Geant4. To do this,
    download the following files:

    http://geant4.cern.ch/support/source/G4NDL.4.5.tar.gz
    http://geant4.cern.ch/support/source/G4EMLOW.6.48.tar.gz
    http://geant4.cern.ch/support/source/G4PhotonEvaporation.3.2.tar.gz
    http://geant4.cern.ch/support/source/G4RadioactiveDecay.4.3.tar.gz
    http://geant4.cern.ch/support/source/G4NEUTRONXS.1.4.tar.gz
    http://geant4.cern.ch/support/source/G4PII.1.3.tar.gz
    http://geant4.cern.ch/support/source/RealSurface.1.0.tar.gz
    http://geant4.cern.ch/support/source/G4SAIDDATA.1.1.tar.gz
    http://geant4.cern.ch/support/source/G4ABLA.3.0.tar.gz
    http://geant4.cern.ch/support/source/G4ENSDFSTATE.1.2.tar.gz

    and unpack them under the directory:

    /users/LHCb/amhis/ExpDisk/Neutrinos/GEANT4/geant4.10.2-build/share/Geant4-10.2.0/data

    As we supply the datasets packed in gzipped tar files,
    you will need the 'tar' utility to unpack them.

    Nota bene: Missing datasets will not affect or break
               compilation and installation of the Geant4
               libraries.

-- The following Geant4 features are enabled: GEANT4_BUILD_CXXSTD: Compiling against C++ Standard '11' GEANT4_USE_SYSTEM_EXPAT: Using system EXPAT library

-- Configuring incomplete, errors occurred! See also "/users/LHCb/amhis/ExpDisk/Neutrinos/GEANT4/CMakeFiles/CMakeOutput.log".

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Warning: Re: Issues compiling GEANT   (Ben Morgan - 29 Jan, 2016)
 Add Message Add Message
to: "Issues compiling GEANT"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]